2017-11-17 20:55 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001185FSSCPgameplaypublic2017-01-21 03:25
Reportershivansps 
Assigned Toz64555 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionno change required 
Product Version3.6.9 
Target Version3.8Fixed in Version3.7.5 
Summary0001185: Red alert and docked player = BUG
DescriptionThe red alert bug, try this...

End of Mission 1:

-Cruiser 1 on fly, on escort list, 90% hull
-Freighter A 70% docks to Player 80% hull ->send red alert

Mission 2: Seted in freed to Cruiser 1, Freighter A, and player to 100% hull, player docked to freighter A.

-Cruiser 1 on fly... BUT ONLY THE NAME APEAR ON THE ESCORT LIST! and its at 100%, the ship is not ingame... the name is on escort list, but you cant target it, and you cant see it either.
-Freighter A... same as Cruiser 1.
-Player: Apears on fly and 80% hull.
Additional InformationThis happen which any build, incluiding RC8.

And I incluing an .rar a test-exsample, mini-campaing of this error.
TagsNo tags attached.
Attached Files

-Relationships
related to 0000530resolvedGoober5000 Multi-Dock And Wings 
+Relationships

-Notes

~0008584

taylor (administrator)

This doesn't appear to be a redalert issue, but a missionparse issue. That's not to say that there isn't at least a partial redalert issue here, since cap ships don't get their hull/subsystem state saved in the redalert data (can't fix it in code without breaking retail). But the bulk of the problem here appears to be the ships not being setup properly during mission parse, likely because of docking issues (wild guess).

Assigning to Goober, just to get his attention, and to verify that it is or isn't some issue with the missionparse code relating to docked objects.

~0009873

chief1983 (administrator)

I think it would be great if saving capship data were a mission/ai_profiles option. Also bumping to see if this is still an issue. If so would be nice to have fixed for next release, if not possible feel free to bump back down priority.

~0010732

karajorma (administrator)

After talking this one over with Goober it seems more like a feature than a bug. shivansps is doing several things you probably shouldn't be doing with the player ship.

~0013778

Goober5000 (administrator)

I just took a look at this, and the problem might run deeper than the docking code. I think it would be better to rewrite the entire red alert system. :-/

~0014095

Goober5000 (administrator)

Deferring until after the 3.7 merge.

~0016816

MageKing17 (developer)

Bumping target.

~0016850

z64555 (developer)

There's several things wrong with the test campaign provided.

First of which, the campaign doesn't provide allowed weapons nor allowed ships. When attempting to load the mission with 3.7.4 and later, there are no weapons on the default player ship and none are available in the weapon pool, thus you can't actually test the mission without modifying the .fc2.

Second, and more related to the issue, is that all of the ships that have the red-alert-carry flag are only marked as such in the TS2 mission. In order for ship status to carry over between the source mission and the red-alert mission, the ship must have the same name and must have the red-alert-carry flag in BOTH missions.

I'll continue working on the issue.

~0016851

z64555 (developer)

Last edited: 2017-01-21 03:23

View 2 revisions

Well that didn't take long. Giving the 3 ships the "red-alert-carry" flag not only allowed me to load the mission, but it works _perfectly_. The player is initially docked with the Advanced Drone, and all ships are there.

So the next steps will be to put in safeties and warnings to notify the mission designer when conditions are not right.

[Edit] I've edited the wiki article on the Red-alert sexp to reflect its proper usage. Amusingly, the "proper" usage is the "bizarre" usage compared to the rest of the retail mission files.

+Notes

-Issue History
Date Modified Username Field Change
2006-12-28 22:33 shivansps New Issue
2006-12-28 22:33 shivansps File Added: BUGTESTCAMPAING.rar
2007-10-21 19:55 taylor Note Added: 0008584
2007-10-21 19:55 taylor Status new => assigned
2007-10-21 19:55 taylor Assigned To => Goober5000
2007-10-22 01:40 Goober5000 Relationship added related to 0000530
2008-10-08 22:51 chief1983 Note Added: 0009873
2008-10-08 22:51 chief1983 Priority normal => high
2009-03-10 17:28 karajorma Note Added: 0010732
2012-07-01 23:28 Goober5000 Note Added: 0013778
2012-11-19 18:34 Goober5000 Note Added: 0014095
2012-11-19 18:34 Goober5000 Resolution open => suspended
2012-11-19 18:34 Goober5000 Target Version => 3.7.2
2015-04-16 00:22 Goober5000 Target Version 3.7.2 => 3.7.4
2016-03-23 06:02 MageKing17 Note Added: 0016816
2016-03-23 06:02 MageKing17 Target Version 3.7.4 => 3.8
2017-01-21 02:34 z64555 Note Added: 0016850
2017-01-21 02:34 z64555 Assigned To Goober5000 => z64555
2017-01-21 02:45 z64555 Note Added: 0016851
2017-01-21 03:23 z64555 Note Edited: 0016851 View Revisions
2017-01-21 03:25 z64555 Status assigned => resolved
2017-01-21 03:25 z64555 Resolution suspended => no change required
2017-01-21 03:25 z64555 Fixed in Version => 3.7.5
+Issue History